import Component from '../component.js';
import DivComponent from '../div.js';

export default class CoEuiEditorHtmlView extends Component {
    constructor(parent) {
        let selector = 'eui-editor-html-view';
        super(parent, selector);
        //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/externals/eui-editor/html-view/eui-editor-html-view.component.html
    }

    get qlContainerDivCO() {
        return new DivComponent(this.currentPath).addPredicateClassContains('ql-container');
    }

    get qlEditorDivCO() {
        return new DivComponent(this.qlContainerDivCO).addPredicateClassContains('ql-editor');
    }
}


